Manuel



de



FreeCAD





Splash013.jpg




Ce manuel traite des Édition d'objets.


Draft



Cette page est spécialement destinée à l'impression, comme un gros document, donc, si vous lisez ceci en ligne, vous pourrez préférer aller directement à la version Aide en ligne, qui est plus facile à parcourir.

Édition d'objets

Draft Move.png Déplacer

Emplacement du menu
Draft → Déplacer
Ateliers
Draft
Raccourci par défaut
M V
Voir aussi
Aucun

Contents


Description

Cet outil déplace un (ou des) objet(s) sélectionné(s) d'un point à un autre, dans le plan de travail courant. Si aucun objet n'est sélectionné, il vous invitera à en sélectionner un.

Draft Move example.jpg

Utilisation

  1. Sélectionnez les objets que vous souhaitez déplacer ou copier
  2. Cliquez sur le bouton Draft Move.png Déplacer, ou pressez M et la touche V
  3. Cliquez le premier point dans la vue 3D, ou donnez une coordonnée
  4. Cliquez un deuxième point dans la vue 3D, ou donnez une coordonnée

Accrocher, Contraindre et plus

Préférences

Déplacer un objet dans le 3D peut être terrible, et ce n'est pas ce que vous voulez. FreeCAD vient avec des outils plus puissant pour déplacer des objets, mais d'abord vous devez vérifier les préférences pour voir comment activer ces commandes.

Aller dans le menu Édition -> Préférences -> DRAFT, puis ouvrez l'onglet Grille et accrochage.

Vous devriez voir plusieurs options :

Pref Draft Snapping.png

Par défaut l’option "Toujours aimanté (désactiver le mode aimantation)" est actif, ce qui signifie que les outils d’accrochage seront toujours actifs (vous n’avez pas besoin de presser une touche pour les activer), noter ici quelles sont les touches assignées à l’activation des différents modes. Par défaut :

  • SHIFT active le mode Contrainte (déplacement le long d'un vecteur uniquement)
  • Ctrl active le mode SNAP (le curseur va s'accrocher sur des points spécifiques)
  • Alt active le mode ALT

Déplacement le long d'un axe spécifique

Pour pouvoir déplacer un objet le long d'un axe spécifique, vous devez d'abord sélectionner un plan de travail

Après avoir sélectionné le premier point de déplacement, commencer à déplacer le curseur dans une direction et maintenir la touche SHIFT. FreeCAD va automatiquement contraindre le déplacement dans l'axe dominant.

(Cet outil est spécialement puissant si vous souhaitez aligner un point avec un autre, selon un axe donné.)

Plus d'info sur le déplacement avec les contraintes ici

Accrochage

Si vous avez un point que vous souhaitez accrocher directement sur un solide, vous pouvez utiliser les outils d'accrochage. Sélectionner le premier point (avec les outils d'accrochage ou non) puis survoler le second point jusqu'à ce qu'il se mette en surbrillance.

Par défaut le mode d'accrochage est actif, mais vous pourriez l'avoir désactivé dans les préférences (voir section précédente), dans ce cas, vous avec besoin de maintenir la touche Ctrl appuyée par défaut.

Mode Alt

Le mode Alt vous permet de copier l'objet au lieu de juste le déplacer.

Options

  • Pressez les touches X, Y ou Z après le premier point, pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, et appuyez sur ENTER entre chacune des composantes X, Y et Z.
  • Pressez la touche R ou cliquez sur la case à cocher/décocher Relative. Si le mode Relative est coché, les coordonnées du point suivant sont relatifs au dernier point. S'ils ne sont pas absolus, le point d'origine est (0,0,0).
  • Pressez la touche T ou cliquez sur la case à cocher/décocher Continue. Si le mode Continue est coché, l'outil Move va redémarrer après avoir terminé ou fermé, ce qui vous permet de déplacer ou copier les objets une nouvelle fois sans appuyer sur le bouton Draft Move.png Draft Move/fr à nouveau.
  • Pressez la touche ALT ou C ou cliquez sur la touche Copy fera une copie des objets au lieu de les déplacer. Si vous gardez la touche ALT enfoncée après avoir cliqué sur le second point, vous serez capable de placer autant de copies que vous voulez, jusqu'au moment ou vous relâchiez la touche ALT.
  • Pressez la touche CTRL pour que votre point d'emplacement se fasse sur un point d'encrage (snap) disponible, indépendamment de la distance.
  • Pressez la touche SHIFT pour créer une contrainte verticale ou horizontale en rapport avec le point de départ.
  • Pressez la touche ESC ou la touche Cancel pour annuler la commande courante.

Script

La commande Draft Move.png Move peut être utilisée dans une macro et dans la console Python, en utilisant la fonction suivante :

move (FreeCAD.Object or list, Vector, [copymode]) 
  • Déplace l'objet donné ou les objets contenus dans la liste et dans la direction et distance indiquée par le vecteur donné.
  • Si copymode est True, les objets eux-mêmes ne sont pas déplacés, mais des copies sont créées à la place.
  • Retourne les objets (ou leurs copies) si copymode est réglé sur True

Exemple:

import FreeCAD,Draft
Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0)) 

Limitations

  • Lors du déplacement (ou du changement de Placement) d'un objet du document (par exemple: Pad, Revolution, etc) basé sur un croquis (Sketcher/Part Design), vous devez déplacer le croquis original. Si vous déplacez l'objet dérivé, il retournera à la position définie par le croquis.

Draft Rotate.png Rotation

Emplacement du menu
Draft -> Rotate
Ateliers
Draft
Raccourci par défaut
R O
Voir aussi
Aucun


Description

Cet outil fait pivoter ou copie les objets sélectionnés dans l'angle et autour du point défini dans le Plan de travail courant. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

Draft Rotate example.jpg

Utilisation

  1. Sélectionnez un ou des objets que vous voulez copier ou pivoter.
  2. Pressez le bouton Draft Rotate.png Pivoter, ou pressez les touches R et O
  3. Cliquez le point central dans la vue 3D, ou tapez une coordonnée
  4. Cliquez le second point dans la vue 3D, ou donnez un angle de référence
  5. Cliquez le troisième point dans la vue 3D, ou donnez un angle de rotation

Options

  • Pressez les touches X, Y ou Z après le point, contraint le point suivant sur l'axe correspondant.
  • Vous pouvez entrer une coordonnée manuellement, en entrant simplement les nombres, et pressez ENTER entre chaque composants X, Y et Z.
  • Pressez la touche T ou, cochez/décochez la case Continuer est cochée, l'outil rotation continue après avoir terminer ou, fermé l'opération, et, permet de continuer une autre opération de rotation sans devoir à nouveau la sélectionner.
  • Pressez ALT ou C ou cochez la case Copier fera une copie de l'objet au lieu de la faire pivoter. même si le bouton de contrôle de copie est désactivée. Si vous gardez la touche ALT enfoncée après avoir cliqué sur le troisième point, vous serez en mesure de placer plusieurs copies, jusqu'à ce que vous relâchiez le touche ALT.
  • Pressez CTRL et votre point de sélection sera attiré sur un point d'accrochage (snap) disponible, indépendamment de la distance.
  • Pressez SHIFT effectuera une constrainte verticale ou horizontale en rapport au centre de rotation.
  • Pressez ESC ou le bouton Annuler quitte la commande.

Script

L'outil rotation peut être utilisé dans une macros et dans la console Python en utilisant la fonction suivante :

rotate (FreeCAD.Object or list, angle, [center], [axis] ,[copymode]) 
  • Fait pivoter l'objet donné ou, les objets contenus dans la liste donnée à l'angle donné autour du centre donné s'ils sont fourni, en utilisant l'axe comme un axe de rotation.
  • Si l'axe est omis, la rotation se fera autour de l'axe vertical Z.
  • Si copymode est True, les objets réels ne sont pas déplacés, mais des copies sont créées à la place.
  • Retourne les objets pivoté, ou leur copies.

Exemple:

import FreeCAD,Draft
Draft.rotate(FreeCAD.ActiveDocument.ActiveObject,45) 

Draft Offset.png Draft décalage

Emplacement du menu
Draft -> Offset
Ateliers
Draft
Raccourci par défaut
O S
Voir aussi
Aucun


Description

Cet outil décale l'objet ou les objets sélectionnés à la distance donnée et dans le plan de travail courant. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

Draft Offset example.jpg

Utilisation

  1. Choisissez un objet à décaler
  2. Pressez le bouton Draft Offset.png Draft Offset ou les touches O puis S
  3. cliquez un point sur la vue 3D, ou entrez une distance

Options

  • Pressez la touche T ou cliquez sur la case à cocher/décocher Continuer. Si la case est cochée, l'outil offset continue de fonctionner jusqu’à ce que vous ayez fini ou fermé la fonction, ce qui vous permet de décaler ou de copier les objets une autre fois sans pression sur la touche de décalage.
  • Appuyer sur la touche ALT ou C ou en cliquez sur le bouton Copier fera une copie des objets, au lieu de les déplacer. Si vous maintenez la touche ALT enfoncée après avoir cliqué le second point, vous serez en mesure de placer plusieurs exemplaires, jusqu'à ce que vous relâchiez la touche ALT.
  • Pressez la touche CTRL et votre point de sélection sera attiré sur un point d'accrochage (snap) disponible.
  • Pressez la touche SHIFT crée une contrainte sur le segment actuel, au lieu de choisir le segment le plus proche.
  • Pressez la touche ESC ou le bouton Cancel annule l’opération.

Script

L'outil Offset (décalage) peut être par utilisé dans une macros et à partir de la console python en utilisant la fonction suivante :

offset (object,Vector,[copymode],[bind],[sym]) 
  • La fonction Offset décale le fil donné en appliquant le vecteur donné à son premier sommet.
  • Si copymode est True, un autre objet est créé, sinon l'objet sera déplacé.
  • Si copymode a la valeur True et que le fil est ouvert, l'original et les fils déplacés seront liés par leurs extrémités, formant une face.
  • Si sym est True, le décalage est fait sur les deux côtés, la largeur totale étant la longueur du vecteur donné.
  • Renvoie l'objet décalé ou sa copie.

Exemple:

import FreeCAD,Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0)) 

Draft Upgrade.png Mettre à niveau Draft

Emplacement du menu
Pièce → Mettre à niveau
Ateliers
Draft, Arch
Raccourci par défaut
U P
Voir aussi
Rétrograder


Description

Cet outil met à niveau les objets sélectionnés de différentes façons. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

Draft Upgrade example.jpg

Utilisation

  1. Sélectionnez un ou plusieurs objets que vous souhaitez mettre à niveau
  2. Cliquez sur le bouton Draft Upgrade.png Mettre à niveau ou pressez sur les touches U puis P

Options

Les objets sélectionnés sont modifiés/mis à niveau en suivant l'ordre de cette liste :

  • S'il y a plus d'une face sélectionnée, les faces sont fusionnées.
  • S'il n'y a qu'une seule face, rien ne se passe.
  • S'il n'y a qu'un seul fil (wire) ouvert, il sera fermé.
  • S'il y a seulement des arêtes (edges), toutes les arêtes sont raccordées en un fil (wire) (fermé si possible).
  • Si aucune de ces actions n'est possible, un objet composé sera créé.

Script

L'outil mettre à niveau peut être utilisé dans un script Python ou dans une macro en faisant :

Draft.upgrade(objects, delete=False, force=None) 
  • Met à niveau l'objet(s) sélectionné (qui peut être un objet ou une liste d'objets).
  • Si supprimer est sur True, les anciens objets sont supprimés.
  • L'attribut "force" peut être utilisé pour forcer un certain mode de mise à niveau. Il peut être : makeCompound, closeGroupWires, makeSolid, closeWire, turnToParts, makeFusion, makeShell, makeFaces, draftify, joinFaces, makeSketchFace, makeWires.
  • retourne un dictionnaire contenant deux listes, une liste des nouveaux objets et une liste d'objets à supprimer.

Les opérations de l'outil mettre à niveau peuvent aussi être réalisés avec les outils Part Union or Draft Filaire.

Exemple:

import Draft
mycircle = Draft.makeCircle(2)
face1 = Draft.upgrade([mycircle],True) 

Draft Downgrade.png Rétrograder

Emplacement du menu
Pièce → Rétrograder
Ateliers
Draft, Arch
Raccourci par défaut
D N
Voir aussi
Mise à Niveau


Description

Cet outil rétrograde à un niveau inférieur les objets sélectionnés de différentes façons. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

Draft Downgrade example.jpg

Utilisation

  1. Sélectionnez un ou plusieurs objets que vous voulez descendre d'un niveau inférieur.
  2. Cliquez sur le bouton Draft Downgrade.png Retrograder ou pressez les touches D puis N

Options

Les objets sélectionnés sont modifiés/rétrogradés à un niveau inférieur, en suivant l'ordre de cette liste :

  • Uniquement si un objet est sélectionné et qu'il contient plus d'une face, les faces sont séparées en différents objets.
  • S'il y a plus d'une face, les faces subséquentes sont soustraites d'une face.
  • S'il n'existe qu'une seule face, elle est convertie en un fil (wire).
  • Dans le cas contraire tous les fils (wire) sont éclatés en arêtes (edges) uniques.

Exemple

Script

L'outil Rétrograder peut être utilisé dans un script Python ou dans une macro en utilisant la fonction suivante :

downgrade (objects, [delete], [force]) 
  • Démonte les objet(s) donnés (qui peut être un objet ou une liste d'objets).
  • Si "delete" est réglé "True", les anciens objets sont supprimés.
  • L'attribut Force peut être utilisé pour forcer un certain mode de déclassement. Il peut être : explode, shapify, subtr, splitFaces, cut2, getWire, splitWires.
  • Retourne un dictionnaire contenant deux listes, une liste des nouveaux objets et une liste d'objets à supprimer

Exemple :

import FreeCADGui,Draft
selection = FreeCADGui.Selection.getSelection()
Draft.downgrade(selection) 

Draft Trimex.png Réduire ou Etendre

Emplacement du menu
Draft -> Trim/Extend
Ateliers
Draft
Raccourci par défaut
T R
Voir aussi
Part Extrude


Description

Outil de réduction et extension de lignes et polylignes et extrude les faces.

Draft trimex example.jpg

Utilisation

  1. Sélectionnez le text-top=Ligne à points multiples Wire que vous souhaitez réduire, ou étendre, ou sélectionnez la face que vous souhaitez extruder.
  2. Pressez le bouton text-top=Trimex Trimex, ou pressez la touche T puis R.
  3. Cliquez un point dans la vue 3D.

Options

  • La réduction, ou l'extension, est effectuée automatiquement à la position de votre souris.
  • Si vous déplacez le curseur de la souris sur un autre objet, l'opération réduire et étendre s'accrochera à l'objet ou le segment.
  • En appuyant sur la touche SHIFT, il se crée une contrainte, sur le segment actuellement réduit ou étendu.
  • Appuyez sur ALT, pour faire inverser l'ordre de l'ajustement.
  • Lorsque l'objet sélectionné est une face', ou lorsqu'une face est sélectionnée dans un objet existant, le commutateur de réduction, ou d'extension se met en mode extrusion. En mode extrusion, appuyez sur la touche MAJ, contraint l'extrusion de la face normalement, et, force l'accrochage, de votre point, à l'emplacement le plus proche, du composant logiciel enfichable, indépendamment de la distance.

Script

Non disponible. Voir l'outil Extrusion.

Draft Scale.png Échelle

Emplacement du menu
Draft → Scale
Ateliers
Draft, Arch
Raccourci par défaut
S C
Voir aussi
Draft Clone


Description

Cet outil met à l'échelle des objets sélectionnés autour d'un point de base. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un. Vous pouvez aussi utiliser la fonction pour créer une copie miroir de votre objet.

Draft Scale example.jpg

Utilisation

  1. Sélectionnez les objets dont vous désirez changer la taille
  2. Appuyez sur le bouton Draft Scale.png Draft Scale ou sur les touches S puis C
  3. Cliquez votre premier point sur une zone vide de la vue 3D, ou tapez les coordonnées manuellement.
  4. Cliquez votre deuxième point sur une zone vide de la vue 3D, ou tapez les coordonnées manuellement.

Options

  • Entrez les coordonnées manuellement simplement en entrant les nombres et pressez la touche ENTER entre chaque composante XY et Z.
  • Les composants x, y et z du deuxième point définissent le facteur d'échelle. Par exemple, (1,1,1) ne ferait rien, (2,2,2) serait l'échelle 2x dans toutes les directions, (-1,1,1) sera le reflet dans la direction x.
  • Pressez la touche ALT ou C ou cliquez sur le bouton Copy fera une copie, même si le bouton de contrôle de copie est désactivé. Si ALT est pressé, vous serez capable de faire des copies multiples jusqu'à ce que la touche ALT soit relachée.
  • Pressez la touche CTRL et votre point d'emplacement se fera sur un point d'ancrage (snap) disponible, indépendamment de la distance.
  • Pressez la touche SHIFT verrouillera les valeurs x et y ensemble, afin que la forme ne soit pas déformée.
  • Pressez la touche ESC ou Cancel pour quitter la fonction.
  • L'objet résultant est un Clone, vous pouvez modifier les valeurs d'échelle après sa création
  • Un miroir de l'objet peut être obtenu en inversant un des signes de direction. Par exemple (-1,1,1) crée une copie miroir horizontale (dans l'axe X) et (1,-1,1) dans (l'axe Y)

Script

L'outil Scale peut être utilisé dans une macros et dans la console Python en utilisant la fonction suivante :

scale (objects,vector,[center,copy,legacy]) 
  • Scales met à l'échelle les objets contenus dans des objets (qui peuvent être une liste d'objets ou un objet), le facteur d'échelle donné, défini par le vecteur donné (des directions X, Y et Z) autour d'un axe donné.
  • Si legacy est True, le mode direct (ancien) est utilisé, sinon une copie paramétrique s'effectue.
  • Si copy a la valeur True, les objets eux-mêmes ne sont pas déplacés, mais des copies sont créées à la place.
  • Les objets (ou leurs copies) sont créés.

Exemple:

import FreeCAD,Draft
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2)) 

Draft Edit.png Draft Edit

Emplacement du menu
Draft -> Edit
Ateliers
Draft
Raccourci par défaut
Aucun
Voir aussi
Aucun


Description

Cet outil vous permet de modifier graphiquement certaines propriétés de l'objet sélectionné, comme les sommets d'un Wire, ou la longueur et la largeur d'un Rectangle, ou le rayon d'un Cercle.

Draft edit example.jpg

Utilisation

  1. Sélectionnez un wire, ligne, rectangle, bspline ou cercle
  2. Pressez le bouton Draft Edit.png Draft Edit, ou, double-cliquez sur l'objet dans la Vue arborescente ou utilisez le bouton Std Edit.png 4Std Edit
  3. Cliquez sur le point dans la vue 3D, que vous souhaitez déplacer.
  4. Cliquez sur un autre point, dans la vue 3D, ou tapez une coordonnées.
  5. Pressez les touches ESC ou le bouton Fin.

Options

  • L'outil edit ne fonctionne que sur un objet sélectionné à la fois.
  • Le mode édition fonctionne uniquement sur les fils (Wires), les Rectangles, les Cercles et les Arcs. Les autres types d'objets doivent d'abord être convertis en objets "Draft".
  • Cliquez sur un sommet (vertex) pour le modifier ou pour le déplacer, cliquez à nouveau pour le désélectionner.
  • Pressez sur X, Y ou Z après un point pour contraindre le prochain point sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrer simplement les numéros, puis de pressez sur ENTREE, entre chacun des composantes X, Y et Z.
  • Pressez sur CTRL et votre point de sélection sera attiré sur un point d'accrochage (snap) disponible, indépendamment de la distance.
  • Pressez sur SHIFT tout en tirant (diriger la direction H ou V) constraint votre prochain point horizontalement ou verticalement, par rapport au dernier point.
  • Pressez sur ESC, le bouton Cancel ou le bouton Draft Edit.png Draft Edit fini l'édition.
  • Pressez une deuxième fois sur le bouton Draft Edit.png Draft Edit sort également du mode édition.
  • Pressez le bouton text-top=Add point AddPoint, vous permet d'ajouter des points aux wire et bspline en cliquant sur les segments.
  • Pressez le bouton text-top=Del point Del point, vous permet de supprimer des points sur les wire et bspline en cliquant, sur les points à retirer.

Script

Non disponible. Chaque objet ci-dessus peut être modifié en changeant directement ses propriétés.

Draft Drawing.png Dessin

Emplacement du menu
Draft → Dessin
Ateliers
Draft (Mise en plan)
Raccourci par défaut
Aucun
Voir aussi
Aucun


Description

This tool allows you to put selected objects on a svg Drawing sheet. If no sheet exists in the document, a default one will be created. This tool works similarly to the Drawing View tool, but is optimized for Draft objects, and can render flat 2D objects with a face filling. It can also handle a couple of specific Draft objects, such as dimensions and texts, that the Drawing View tool cannot handle.

Draft drawing example.jpg

Utilisation

  1. Sélectionnez les objets à inclure dans la feuille de dessin.
  2. Pressez le bouton Draft Drawing.png Draft Drawing

Options

  • Sélectionner les objets que vous souhaitez mettre sur la feuille de dessin. L'outil fonctionnera mieux avec des objets plats 2D des modules Draft ou Sketcher.
  • Si l'objet sélectionné est un Arch SectionPlane, cet outil créera une vue supplémentaire de ce plan.
  • Dans la même sélection, ajoutez l'objet page que ou vous souhaitez dessiner vos objets. S'il n'y a aucune page existante, une nouvelle page sera créée. Si vous ne sélectionnez pas de page, et qu'il y a au moins une page dans le document, la première trouvée sera utilisé.
  • Si vous avez sélectionné une feuille existante, et, que les objets dans la sélection sont déjà sur cette feuille (par ex. pour un objet Rectangle, c'est déjà un objet ViewRectangle sur la feuille), ils seront substitués. Cela vous permet de sélectionner tous les objets, et, de les envoyer dans une page existante, qui sera tout simplement mise à jour.

Propriétés

  • DATAFill Style: Pour les formes fermées, permet de spécifier un style de remplissage par défaut, ou, d'utiliser la couleur de la forme.
  • DATAFont Size: Spécifie la taille de la police des textes et dimensions.
  • DATALine Width: Spécifie la largeur de ligne des objets visibles.

Script

L'outil Draft Drawing, peut être utilisé dans les macros, et, dans la console Python en utilisant la fonction suivante :

makeDrawingView (object,page) 
  • Ajoute une vue de l'objet sélectionné dans la page donnée.
  • Retourne la vue créée de l'objet.

Exemple:

import FreeCAD,Draft
obj = FreeCAD.ActiveDocument.ActiveObject
page = FreeCAD.ActiveDocument.Page
Draft.makeDrawingView(obj,page) 

Draft Shape2DView.png Draft Projection 2D d'une forme

Emplacement du menu
Draft → Projection 2D d'une forme
Ateliers
Draft
Raccourci par défaut
Aucun
Voir aussi
Aucun


Description

Cet outil place dans le document un objet 2D qui est une vue aplatie d'une forme sélectionnée Shape de base, projeté dans la direction de la de la vue actuelle.

Draft Shape2DView example.jpg

Utilisation

  1. Sélectionnez l'objet dont vous voulez extraire la forme 2D.
  2. Faites pivoter la vue (ou utiliser une vue avec les raccourcis clavier ou boutons) de manière qu'il reflète la direction que vous désirez donner à l'objet. Par exemple, en utilisant la vue de dessus va projeter l'objet sur le plan XY, verticalement le long de l'axe Z comme sur l'image ci-dessus.
  3. Cliquez sur le bouton Draft Shape2DView.png Draft Projection 2D d'une forme.

Options

  • Si l'objet sélectionné est un Plan de coupe Arch, la projection 2D se fera sur le contenu du plan de coupe, et le vecteur de projection sera celui du plan de coupe au lieu de la propriété de Projection ci-dessous.
  • Le mode de fonctionnement normal est Solid, qui projette la forme entière, mais, si vous avez sélectionné quelques faces de l'objet de base lors de la création de la vue 2D, vous pouvez également définir le mode Individual Faces (Faces individuelles), qui projettera seulement les faces qui ont été sélectionnées.
  • Si l'objet sélectionné est un Plan de coupe Arch, un mode de projection cutlines est aussi disponible et ne projette que les arêtes qui sont coupées par le plan de coupe.

Propriétés

  • DATAProjection: La direction de la projection.
  • DATAProjection Mode: Le mode de projection: solide, individuel faces, ou lignes coupées.

Script

L'outil Draft - Projection 2D d'une forme peut être utilisé dans les macros et dans la console Python en utilisant la fonction suivante :

makeShape2DView (object,[projection],[facenumbers]) 
  • Ajoute une forme 2D dans le document, qui est une projection 2D de l'objet donné.
  • Un vecteur de projection spécifique peut également être donné.
  • Retourne l'objet généré.
  • Vous pouvez également fournir une liste de faces à prendre en considération.

Exemple :

import FreeCAD,Draft
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject) 

Draft WireToBSpline.png Draft_WireToBSpline

Emplacement du menu
Drafting → Wire to BSpline
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Voir aussi
Aucun


Description

L'outil Draft WireToBSpline.png Wire en Bspline, converti un Wire en B-Spline, et vice-versa.

Draft Wire2BSpline example.jpg

Utilisation

  1. Sélectionnez un objet Wire ou un objet B-Spline.
  2. Pressez le bouton Draft WireToBSpline.png Wire en Bspline.

Options

  • L'objet original n'est pas effacé après l'opération, si vous voulez l'effacer, vous devez le faire manuellement.

Script

Non disponible, le but ici, est de créer un nouvel objet, avec les points d'un autre objet facilement, par exemple :

  • Si l'objet actif est un Wire:
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points) 
  • Si l'objet actif est une B-Spline
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points) 

Draft AddPoint.png Draft AddPoint

Emplacement du menu
Draft → Add Point
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Voir aussi
Aucun


Description

Cet outil, vous permet d'ajouter des points supplémentaires à un Fil (Wire) et un BSplines.

Utilisation

  1. Sélectionnez un Fil (Wire) ou un BSplines.
  2. Pressez le bouton Draft AddPoint.png Draft AddPoint.
  3. Cliquez un point dans la vue 3D, ou tapez les coordonnées.

Options

  • Cette fonctionnalité est également disponible à l'intérieur de l'outil Draft Edit.png Draft Edit.

Script

Un script n'est pas disponible, mais l'ajout d'autres points à un Draft Wire.png Fil (Wire) et un Draft BSpline.png BSplines, est facile, par exemple :

import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
points.append(FreeCAD.Vector(2,2,0))
FreeCAD.ActiveDocument.ActiveObjects.Points = points 

Draft DelPoint.png Draft_DelPoint

Emplacement du menu
Draft → Remove Point
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Voir aussi
Aucun


Description

Cet outil, vous permet de retirer des points supplémentaires à un Fil (Wire) et un BSplines.

Utilisation

  1. Sélectionnez un Fil (Wire) ou un BSplines.
  2. Pressez le bouton Draft DelPoint.png Draft DelPoint.
  3. Cliquez un point sur un wire ou BSpline.

Options

  • Cette fonctionnalité est également disponible à l'intérieur de l'outil Draft Edit.png Draft Edit.

Script

N'est pas disponible, mais le retrait de point(s) à un Fil (Wire) ou un BSplines, est facile, par exemple :

import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
points.pop(0)
FreeCAD.ActiveDocument.ActiveObjects.Points = points 

Draft Draft2Sketch.png Draft Draft2Sketch

Emplacement du menu
Drafting -> Draft to Sketch
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Voir aussi
Aucun


Description

Cet outil converti un objet Draft en objet Sketcher, et vice-versa.

Draft Draft2Sketch example.jpg

Utilisation

  1. Sélectionnez un objet Draft ou un objet Sketch.
  2. Pressez le bouton Draft Draft2Sketch.png Draft Draft2Sketch.

Options

  • Si vous convertissez un Wire (ligne multiple), une contrainte sera appliquée aux points et aux nœuds.
  • Si vous convertissez un Rectangle, une contrainte sera appliquée, sur les coins, les points les contraintes horizontales/verticales et les bords.
  • Les objets Non-Draft, qui sont totalement plans, seront également converti en sketch.

L'outil esquisse prend en charge les lignes droites, et, les arcs circulaires. La conversion d'un élément qui ne peut pas être représenté échouera.

Par conséquence, la conversion de touts éléments qui ne peuvent pas être représentés par des lignes droites ou des arcs circulaires échouera, c’est-à-dire, que les éléments n'apparaîtront pas dans l'esquisse.

Script

Non disponible, voir la documentation Sketcher Module pour créer un script de sketch.

Draft Array.png Draft Matrice

Emplacement du menu
Draft → Array
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Voir aussi
PathArray


Description

L'outil matrice (tableau ou copies multiples) crée une copie orthogonale (3 axes) ou un tableau polaire de l'objet sélectionné. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

Draft Array example.jpg

Utilisation

  1. Sélectionnez l'objet pour créer un tableau.
  2. Pressez le bouton Draft Array.png Draft Matrice .

Options

  • La Matrice est orthogonale par défaut, vous pouvez modifier son mode, dans les propriétés.

Propriétés

  • DATAArray Type: Spécifie le type de matrice, orthogonale ou polaire

Pour un tableau orthogonal :

  • DATAInterval X: L'intervalle entre chaque copie, sur le premier axe.
  • DATAInterval Y: L'intervalle entre chaque copie, sur le deuxième axe.
  • DATAInterval Z: L'intervalle entre chaque copie, sur le troisième axe.
  • DATANumber X: Le nombre de copies, sur le premier axe.
  • DATANumber Y: Le nombre de copies, sur le deuxième axe.
  • DATANumber Z: Le nombre de copies, sur le troisième axe.

Pour un tableau polaire :

  • DATAAxis: La direction normale circulaire de la matrice.
  • DATACenter: Le point central de la matrice.
  • DATAAngle: L'angle de couverture des copies.
  • DATANumber Polar: Le nombre de copies y compris l'original.

Script

L'outil matrice, peut être utilisé dans les macros, et, dans la console Python, en utilisant la fonction suivante, selon si vous souhaitez obtenir des copies simples autonomes de votre objet de base, ou un objet de matrice paramétrique, qui reste lié à l'objet d'origine :

Simple matrice

Pour une matrice rectangulaire:

array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum]) 

Pour une matrice polaire :

array (objectslist,center,totalangle,totalnum) 
  • Crée une matrice des objets contenus dans la liste (qui peut être un objet ou une liste d'objets), en cas de matrice rectangulaire, xnum (nombre d'itérations) dans la direction x à la distance xvector entre les itérations et même pour la direction de y avec yvector et ynum ((nombre d'itérations)).
  • En cas de matrice polaire, center est un vecteur, totalangle est l'angle de couverture (en degrés) et totalnum est le nombre d'objets (de copies), y compris l'original.
  • Le résultat de cette fonction, créer des copies d'un simple objet.

Matrice Paramétrique

Pour un matrice rectangulaire:

makeArray (object,xvector,yvector,xnum,ynum) 

Pour un matrice polaire:

makeArray (object,center,totalangle,totalnum) 
  • Crée une matrice de l'objet choisi avec, en cas de matrice rectangulaire, xnum est le nombre d'itérations dans la direction x à la distance de xvector entre les itérations et même pour l'axe des ordonnées avec yvector et ynum. En cas de matrice polaire, center est un vecteur, totalangle est l'angle couvert (en degrés) et totalnum est le nombre d'objets (de copies), y compris l'original.
  • Le résultat de cette fonction est un objet paramétrique.

Exemple:

import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2) 

Draft Clone.png Draft Clone

Emplacement du menu
Draft → Clone
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Voir aussi
Draft Scale


Description

Cet outil génère un clone (copie paramétriquement liée à l'objet original) d'un objet sélectionné. Si l'objet original est modifié, le clone sera aussi modifié, mais maintiendra sa position rotation et échelle.

Draft Clone

Utilisation

  1. Sélectionnez l'objet (les objets) à cloner.
  2. Pressez le bouton Draft Clone Draft Clone.

Options

  • Les clones d'objets 2D (Projet ou croquis) seront aussi des objets 2D, et peuvent donc être utilisés tel quel avec Part Design.
  • Tous les objets Arch ont la possibilité de se comporter comme des clones (en utilisant leur propriétés CloneOf). Si vous utilisez l'outil Draft Clone sur un objet Arch sélectionné, vous produirez un objet Arch clone à la place d'un objet Draft clone conventionnel.

Propriétés

  • DATAScale: Spécifie le facteur d'échelle pour le clone.
  • Le résultat de l'outil Draft Scale est aussi un clone.
  • Les sketches ne peuvent pas être construits sur les faces d'un clone. C'est une limitation de Draft Clone.

Script

L'outil Clone, peut être utilisé dans les macros, et, dans la console Python en utilisant la fonction suivante :

clone (obj,[delta]) 
  • Crée un clone de(s) l'objet(s).
  • Le clone est une copie exacte de l'objet sélectionné, et lié à cet objet.
  • Si l'objet d'origine est modifié, l'objet final change aussi. Facultativement, vous pouvez donner un vecteur delta, pour déplacer le clone de sa position d'origine.

Exemple:

import Draft
Draft.clone(FreeCAD.ActiveDocument.ActiveObject) 

Credits

<translate> FreeCAD would not be what it is without the generous contributions of many people. Here's an overview of the people and companies who contributed to FreeCAD over time. For credits for the third party libraries see the Third Party Libraries page.

Developement

Project managers

Lead developers of the FreeCAD project: </translate>

<translate>

Main developers

People who work regularly on the FreeCAD code (retrieved from https://github.com/FreeCAD/FreeCAD/graphs/contributors): </translate>

<translate>

Other coders

Other people who contributed code to the FreeCAD project: </translate>

  • jmaustpc
  • j-dowsett
  • keithsloan52
  • Joachim Zettler
  • Graeme van der Vlugt
  • Berthold Grupp
  • Georg Wiora
  • Martin Burbaum
  • Jacques-Antoine Gaudin
  • Ken Cline
  • Dmitry Chigrin
  • Remigiusz Fiedler (DXF-parser)
  • peterl94
  • jobermayr
  • ovginkel
  • triplus
  • tomate44
  • maurerpe
  • Johan3DV
  • Mandeep Singh
  • fandaL
  • jonnor
  • usakhelo
  • plaes
  • SebKuzminsky
  • jcc242
  • ezzieyguywuf
  • marktaff
  • poutine70
  • qingfengxia
  • dbtayl
  • itain
  • Barleyman

<translate>

Companies

Companies which donated code or developer time: </translate>

  • Imetric 3D

<translate>

Forum moderators

People in charge of the FreeCAD forum (retrieved from http://forum.freecadweb.org/memberlist.php?mode=team): </translate>

<translate>

Community

People from the community who put a lot of efforts in helping the FreeCAD project either by being active on the forum, keeping a blog about FreeCAD, making video tutorials, packaging FreeCAD for Windows/Linux/MacOS X, writing a FreeCAD book... (listed by alphabetical order) (retrieved from http://forum.freecadweb.org/memberlist.php?mode=&sk=d&sd=d#memberlist) </translate>

<translate>

Documentation writers

People who wrote the documentation on this wiki: </translate>

  • Renato Rivoira (renatorivo)
  • Honza32
  • Hervé Blorec
  • Eduardo Magdalena
  • piffpoof
  • Wurstwasser
  • Roland Frank (r-frank)
  • bejant
  • Ediloren
  • Isaac Ayala

<translate>

Translators

People who helped to translate the FreeCAD application (retrieved from https://crowdin.com/project/freecad): </translate>

  • Gerhard Scheepers
  • wbrwbr2011
  • hanhsuan
  • hicarl
  • fandaL
  • Peta T
  • Zdeněk Havlík
  • Jodbe
  • Peter Hageman
  • Vilfredo
  • Bruno Gonçalves Pirajá
  • Timo Seppola
  • rako
  • Pasi Kukkola
  • Ettore Atalan
  • nikoss
  • yang12
  • totyg
  • htsubota
  • asakura
  • Masaya Ootsuki
  • Jiyong Choi
  • Bartlomiej Niemiec
  • trzyha
  • bluecd
  • Miguel Morais
  • Nicu Tofan
  • Victor Radulescu
  • Angelescu Constantin
  • sema
  • Николай Матвеев
  • pinkpony
  • Alexandre Prokoudine
  • Марко Пејовић
  • Marosh
  • Peter Klofutar
  • Raulshc
  • javierMG
  • Lars
  • kunguz
  • Igor
  • Федір

<translate>

Addons developers

Developers of FreeCAD addons (retrieved from https://github.com/FreeCAD/FreeCAD-addons): </translate>

  • microelly2
  • hamish2014
  • jreinhardt
  • jmwright
  • cblt2l
  • javierMG
  • looooo
  • shaise
  • marmni
  • Maaphoo
  • Rentlau

<translate> </translate>